Jump to: navigation, search

Difference between revisions of "EclipseLink/Examples/OSGi/LazyLoadingRCP"

(New page: Under Construction)
 
Line 1: Line 1:
 
Under Construction
 
Under Construction
 +
 +
== Comic Example using RCP ==
 +
 +
== Software Required ==
 +
 +
This example illustrates the use of EclipseLink JPA in a simple RCP application. Running this example requires OSGi (Equinox) as well as the following bundles.
 +
 +
* EclipseLink OSGi bundles
 +
** org.eclipse.persistence.core
 +
** org.eclipse.persistence.asm
 +
** org.eclipse.persistence.antlr
 +
** javax.persistence
 +
** org.eclipse.persistence.jpa
 +
** javax.persistence (version 1.99 required for OSGI)
 +
 +
* JDBC Driver (Derby)
 +
** org.eclipse.persistence.derby
 +
 +
* Example Bundles
 +
** org.eclipse.persistence.example.jpa.comics.model.annotated
 +
** org.eclipse.persistence.example.jpa.comics.setup
 +
** org.eclipse.persistence.example.jpa.rcp.comics
 +
 +
== Running with Eclipse IDE ==
 +
 +
The example can easily be run within the Eclipse IDE ...

Revision as of 05:36, 18 November 2008

Under Construction

Comic Example using RCP

Software Required

This example illustrates the use of EclipseLink JPA in a simple RCP application. Running this example requires OSGi (Equinox) as well as the following bundles.

  • EclipseLink OSGi bundles
    • org.eclipse.persistence.core
    • org.eclipse.persistence.asm
    • org.eclipse.persistence.antlr
    • javax.persistence
    • org.eclipse.persistence.jpa
    • javax.persistence (version 1.99 required for OSGI)
  • JDBC Driver (Derby)
    • org.eclipse.persistence.derby
  • Example Bundles
    • org.eclipse.persistence.example.jpa.comics.model.annotated
    • org.eclipse.persistence.example.jpa.comics.setup
    • org.eclipse.persistence.example.jpa.rcp.comics

Running with Eclipse IDE

The example can easily be run within the Eclipse IDE ...